public class AdderOpAmp extends IdealOpAmp {
  
  // zusaetliches Attribut
  protected float inputResistor2;
  
  // Standard-Konstruktor
  public AdderOpAmp() {
    super();
    inputResistor2 = 1;
  }
  
  // Konstruktor
  public AdderOpAmp(float inputResistor1, float inputResistor2, float outputResistor) {
    super(inputResistor1, outputResistor);
    this.inputResistor2 = inputResistor2;
  }
  
  // Ausgangsspannung berechnen
  public float computeOutput(float input1, float input2) {
    return -((inputResistor / outputResistor) * input1 + (inputResistor2 / outputResistor) * input2);
  }
  
  // Textkennung
  public String toString() {
    return "AdderOpAmp - RI1: " + inputResistor + ", RI2: " + inputResistor2 + ", RO: " + outputResistor;
  }
  
  // Befindet sich der Operationsverstaerker im Addierer-Modus?
  public boolean adderMode() {
    return (inputResistor == outputResistor) && (inputResistor == inputResistor2);
  }
  
}