import train.*;
import train.car.*;
import train.locomotive.*;

public class ExpressTrainTest {
  
  public static void main(String[] args) {
    Train train1 = new ExpressTrain(new DieselLocomotive(1234, 35));
    train1.add(new Car(34, 50, 1));
    train1.add(new DiningCar(20, 40, 3));
    train1.add(new Car(54, 60, 4));
    train1.add(new SleepingCar(25, 50, 7));
    
    System.out.println("Zug: " + train1); // toString() wird automatisch aufgerufen
    System.out.println("Laenge: " + train1.getLength() + " Meter");
    System.out.println("Kapazitaet: " + train1.getCapacity() + " Personen");
    
    Train train2 = new ExpressTrain(new ElectricLocomotive(3672, 40),
                                    new ElectricLocomotive(4711, 42));
    train2.add(new Car(34, 50, 1));
    train2.add(new DiningCar(20, 40, 3));
    train2.add(new Car(54, 60, 4));
    train2.add(new SleepingCar(25, 50, 7));
    
    System.out.println("Zug: " + train2); // toString() wird automatisch aufgerufen
    System.out.println("Laenge: " + train2.getLength() + " Meter");
    System.out.println("Kapazitaet: " + train2.getCapacity() + " Personen");
  }
  
}
