package train;

import train.locomotive.Locomotive;

public class ExpressTrain extends Train {
  // ExpressTrain enthaelt nicht nur nachfolgende Attribute und Methoden,
  // sondern durch die Vererbung auch die der Klasse Train.

  // Mit "private" deklarierte Attribute und Methoden der Klasse Train
  // koennen allerdings nicht direkt von der erbenden Klasse ExpressTrain
  // angesprochen werden (ja, das ist Absicht!).
  
	private Locomotive loco2;
  
	// Konstruktor: zwei gleiche Lokomotiven
	public ExpressTrain(Locomotive loco) {
		super(loco);
		loco2 = loco;
	}
  
	// Konstruktor: zwei verschiedene Lokomotiven
	public ExpressTrain(Locomotive loco1, Locomotive loco2) {
		super(loco1);
		this.loco2 = loco2;
	}
  
	public int getLength() {
		return super.getLength() + loco2.getLength();
	}
  
	public String toString() {
		return super.toString() + " <-> " + loco2.toString();
	}
	
}