package train;

import java.util.ArrayList;

import train.car.Car;
import train.locomotive.Locomotive;

public class Train {
  
  //Lok des Zugs
  private Locomotive loco;
  
  //Liste der Wagons
  private ArrayList cars;
  
  // Konstruktor
  public Train(Locomotive loco) {
    this.loco = loco;

    //Erzeugen der Liste fr die Waggons
    cars = new ArrayList();
  }
  
  // Fuegt einen Waggon ans Ende der Liste an.
  public void add(Car car) {
    cars.add(car);
  }
  
  // Gibt gesamte Personenkapazitaet zurueck
  public int getCapacity() {
    int cap = 0;
    
    // Kapazitaten der einzelnen Waggons summieren
    for (int i = 0; i < cars.size(); i++) {
      // ArrayList.get(int i) liefert ein Objekt vom Typ Object zurueck,
      // daher ist ein TypeCast nach Car noetig
      cap += ((Car) cars.get(i)).getCapacity();
    }
    
    return cap;
  }
  
  // Gibt gesamte Zuglaenge zurck
  public int getLength() {
		// Initialisierung mit Laenge der Lok
    int len = loco.getLength();
    
    // Laengen der einzelnen Waggons summieren
    for (int i = 0; i < cars.size(); i++) {
      // ArrayList.get(int i) liefert ein Objekt vom Typ Object zurueck,
      // daher ist ein TypeCast nach Car noetig
      len += ((Car) cars.get(i)).getLength();
    }
    
    return len;
  }
  
	// Entfernt den letzten Waggon
  public Car removeLast() {
    // Liste enthaelt mindestens ein Element?
    // Dann letztes entfernen und als Car zurueckgeben
    if (cars.size() > 0) return (Car) cars.remove(cars.size()-1);
    return null; // Sonst null zurueckgeben
  }
  
	// Textkennung
  public String toString() {
    // Initialisierung mit String der Lok
    StringBuffer str = new StringBuffer(loco.toString());
    
    // Strings der einzelnen Waggons anhaengen
    for (int i = 0; i < cars.size(); i++) {
      str.append(" <-> ");
      str.append(cars.get(i).toString());
    }
    
    // Als String zurueckgeben
    return str.toString();
  }
  
}
